from psychopy import visual, event, core

# Create a window
window1 = visual.Window(size=(2736, 1824), fullscr=True, units='height', color=(-1, -1, -1))

# Create text stimuli
text = visual.TextStim(window1, text='Hello, PsychoPy!', height=0.05, color=(1, 1, 1))
text_explanation = visual.TextStim(window1, text='Some explanation', height=0.03, color=(1, 1, 1))
text_2 = visual.TextStim(window1, text='', height=0.05, color=(1, 1, 1))

# Record frame intervals
window1.recordFrameIntervals = True

# Experiment loop
for trial in range(36):  # Assuming there are 36 trials
    # Present stimuli and collect responses
    text.text = f"Stimuli for trial {trial + 1}"  # Adjust this based on your stimuli data
    text.draw()
    window1.flip()

    keys = event.waitKeys()
    if 'space' in keys:
        text_explanation.draw()
        window1.flip()
        core.wait(1.5)  # Adjust this duration as needed

    # Additional trial-specific actions go here

# End of experiment
window1.close()
core.quit()
